Subject: Re: Can't find <windows.h> with EGCS/mingw32
From: [email-masked] (Mumit Khan)

26 May 1998 21:47:55 -0700
Message-ID: <[email-masked]>
References: <001801bd885a$4002c740$4644aace@TomStokes>
To: "Tom Stokes" <[email-masked]>
Cc: "CYGWIN32" <[email-masked]>

"Tom Stokes" <[email-masked]> writes:
> The actual error is, "no include path in which to find windows.h".
> (and stdio.h and stdlib.h and ....). Had no problems until I replaced HD #1
> with an 8.4 gig. Had to re-install everything, including Win95. I am using
> Mumit's "egcs-1.0.2-ming32.zip" and the Cygwin's b18 release CDK.EXE. The
> only two changes to autoexec.bat are -
>   SET GCC_EXEC_PREFIX=F:\MINGW32\LIB\GCC-LIB\
>   PATH=F:\MINGW32\BIN;F:\GNUWIN32\B18\H-I386-CYGWIN32\BIN;%PATH%
> 
> I've also tried installing the package on other drives, including C:. gcc -
> v shows the right compiler. I've eperimented wiht "mount" and "regedit" to
> no avail. Why does someting so simple have to be so difficult?

Looks like you're missing the "cpp fix", a patch that is needed to work
around a bug in Win95 runtime (not needed for NT 4.0). See my web page or
ftp site.

There are quite a few mirror sites as well.

> 
> BTW - www.xraylith.wisc.edu has been down for several days (at least).
> 

Thanks. You should send me a message too [email-masked] when this
happens. We can't afford real sysadmins, and have to hire undergrads who
tend to have silly things like finals and ignore the important things 
like keeping web server running 24/7/365 ;-)
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".